import {createApp} from 'vue'
import App from './App'
import { createRouter, createWebHistory } from "vue-router"

import Customer from './components/Customer'
import Post from './components/Post'
import Comment from './components/Comment'

const routes = [
    {
        path: '/customers',
        component: Customer
    },
    {
        path: '/posts',
        component: Post
    },
    {
        path: '/comments',
        component: Comment
    }
]

const router = createRouter({
    routes, 
    history: createWebHistory()
})


createApp(App).use(router).mount('#app')