package np.something.DTO;

import np.something.model.Customer;

import java.util.List;

public class CustomerDto {
    public final long id;
    public final String username;
    public final String password;
    public final List<CommentDto> comments;
    public final List<PostDto> posts;

    public CustomerDto(Customer customer) {
        this.id = customer.getId();
        this.username = customer.getUsername();
        this.password = customer.getPassword();
        this.comments = customer.getComments().stream().map(CommentDto::new).toList();
        this.posts = customer.getPosts().stream().map(PostDto::new).toList();
    }

    public long getId() {
        return id;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public List<CommentDto> getComments() {
        return comments;
    }

    public List<PostDto> getPosts() {
        return posts;
    }
}
