package np.something.DTO;

import np.something.model.Post;

import java.util.List;

public class PostDto {
    public final long id;
    public final String title;
    public final String content;
    public final String customerName;
    public final List<CommentDto> comments;

    public PostDto(Post post) {
        this.id = post.getId();
        this.title = post.getTitle();
        this.content = post.getContent();
        this.customerName = post.getCustomer().getUsername();
        this.comments = post.getComments().stream().map(CommentDto::new).toList();
    }

    public long getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public String getCustomerName() {
        return customerName;
    }

    public List<CommentDto> getComments() {
        return comments;
    }
}
